Trình xử lý thông báo
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| search | Tùy chọn Chuỗi | Chuỗi tìm kiếm. |
| search_by | Tùy chọn Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị cho phép là: name. |
| is_enabled | Tùy chọn Boolean | |
| type | Tùy chọn Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị cho phép là: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Tùy chọn Chuỗi | Giá trị cho phép: datetime, last_datetime |
| datetime_start | Tùy chọn Chuỗi | Lọc kết quả bắt đầu từ ngày giờ này. Định dạng Y-m-d H:i:s. |
| datetime_end | Tùy chọn Chuỗi | Lọc kết quả đến ngày giờ này. Định dạng Y-m-d H:i:s. |
| order_by | Tùy chọn Chuỗi | Trường nào để sắp xếp kết quả. Các giá trị cho phép là: notification_handler_id, datetime, last_datetime, name. |
| order_type | Tùy chọn Chuỗi | Thứ tự của các kết quả. Các giá trị cho phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần. |
| search | Tùy chọn Chuỗi | Chuỗi tìm kiếm. |
| search_by | Tùy chọn Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị cho phép là: name. |
| is_enabled | Tùy chọn Boolean | |
| type | Tùy chọn Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị cho phép là: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Tùy chọn Chuỗi | Giá trị cho phép: datetime, last_datetime |
| datetime_start | Tùy chọn Chuỗi | Lọc kết quả bắt đầu từ ngày giờ này. Định dạng Y-m-d H:i:s. |
| datetime_end | Tùy chọn Chuỗi | Lọc kết quả đến ngày giờ này. Định dạng Y-m-d H:i:s. |
| order_by | Tùy chọn Chuỗi | Trường nào để sắp xếp kết quả. Các giá trị cho phép là: notification_handler_id, datetime, last_datetime, name. |
| order_type | Tùy chọn Chuỗi | Thứ tự của các kết quả. Các giá trị cho phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần. |
| page | Tùy chọn Integer | Số trang mà bạn muốn nhận kết quả. Mặc định là 1. |
| results_per_page | Tùy chọn Integer | Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị cho phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:20",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:20",
}
}
POST https://tistos.com/api/notification-handlers
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| name | Required Chuỗi | - |
| type | Required Chuỗi | Giá trị cho phép: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Tùy chọn Chuỗi | Có sẵn khi: type = email Email | |
| webhook | Tùy chọn Chuỗi | Có sẵn khi: type = webhook URL webhook |
| slack | Tùy chọn Chuỗi | Có sẵn khi: type = slack URL webhook Slack |
| discord | Tùy chọn Chuỗi | Có sẵn khi: type = discord URL webhook Discord |
| telegram | Tùy chọn Chuỗi | Có sẵn khi: type = telegram Mã API Telegram |
| telegram_chat_id | Tùy chọn Chuỗi | Có sẵn khi: type = telegram ID cuộc trò chuyện Telegram |
| microsoft_teams | Tùy chọn Chuỗi | Có sẵn khi: type = microsoft_teams URL webhook Microsoft Teams |
| google_chat | Tùy chọn Chuỗi | Có sẵn khi: type = google_chat URL webhook Google Chat |
| x_consumer_key | Tùy chọn Chuỗi | Có sẵn khi: type = x Mã API Telegram |
| x_consumer_secret | Tùy chọn Chuỗi | Có sẵn khi: type = x Mã API Telegram |
| x_access_token | Tùy chọn Chuỗi | Có sẵn khi: type = x Mã API Telegram |
| x_access_token_secret | Tùy chọn Chuỗi | Có sẵn khi: type = x Mã API Telegram |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| name | Tùy chọn Chuỗi | - |
| type | Tùy chọn Chuỗi | Giá trị cho phép: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Tùy chọn Chuỗi | Có sẵn khi: type = email Email | |
| webhook | Tùy chọn Chuỗi | Có sẵn khi: type = webhook URL webhook |
| slack | Tùy chọn Chuỗi | Có sẵn khi: type = slack URL webhook Slack |
| discord | Tùy chọn Chuỗi | Có sẵn khi: type = discord URL webhook Discord |
| telegram | Tùy chọn Chuỗi | Có sẵn khi: type = telegram Mã API Telegram |
| telegram_chat_id | Tùy chọn Chuỗi | Có sẵn khi: type = telegram ID cuộc trò chuyện Telegram |
| microsoft_teams | Tùy chọn Chuỗi | Có sẵn khi: type = microsoft_teams URL webhook Microsoft Teams |
| google_chat | Tùy chọn Chuỗi | Có sẵn khi: type = google_chat URL webhook Google Chat |
| x_consumer_key | Tùy chọn Chuỗi | Có sẵn khi: type = x Mã API Telegram |
| x_consumer_secret | Tùy chọn Chuỗi | Có sẵn khi: type = x Mã API Telegram |
| x_access_token | Tùy chọn Chuỗi | Có sẵn khi: type = x Mã API Telegram |
| x_access_token_secret | Tùy chọn Chuỗi | Có sẵn khi: type = x Mã API Telegram |
| is_enabled | Tùy chọn Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \